# Generated from ciphr-0.0.6.gem by gem2rpm -*- rpm-spec -*-
%global gem_name ciphr

Name: rubygem-%{gem_name}
Version: 0.0.6
Release: 1%{?dist}
Summary: a CLI tool for performing and composing encoding, decoding, encryption, decryption, hashing, and other various operations on streams of data from the command line; mostly intended for infosec uses
License: MIT
URL: https://github.com/frohoff/ciphr
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 1.9.3
# BuildRequires: rubygem(rspec) >= 3.4.0
# BuildRequires: rubygem(rspec) < 3.5
BuildArch: noarch

%description
Ciphr is a CLI tool for performing and composing encoding, decoding,
encryption, decryption, hashing, and other various operations on streams of
data. It takes provided data, file data, or data from stdin, and executes a
pipeline of functions on the data stream, writing the resulting data to
stdout. It was designed primarily for use in the information security domain,
mostly for quick or casual data manipulation for forensics, penetration
testing, or capture-the-flag events; it likely could have other unforseen
uses, but should be presumed to be an experimental toy as no effort was made
to make included cryptographic functions robust against attacks (timing
attacks, etc), and it is recommended not to use any included functions in any
on-line security mechanisms.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/bin -type f | xargs chmod a+x

%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%{_bindir}/ciphr
%license %{gem_instdir}/LICENSE.txt
%{gem_instdir}/TODO
%{gem_instdir}/bin
%{gem_libdir}
%{gem_instdir}/pkg
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%{gem_instdir}/Gemfile
%{gem_instdir}/Gemfile.lock
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/ciphr.gemspec
%{gem_instdir}/spec
%{gem_instdir}/tests

%changelog
* Mon Sep 13 2021 mockbuilder - 0.0.6-1
- Initial package
